libcamera::LogOutput Class Reference

Log output. More...

## Public Member Functions

| LogOutput (const char *path)
| Construct a log output based on a file. More...
| LogOutput (std::ostream *stream)
| Construct a log output based on a stream. More...
| LogOutput ()
| Construct a log output to syslog.
bool | isValid () const
| Check if the log output is valid. More...
void | write (const LogMessage &msg)
| Write message to log output. More...
void | write (const std::string &msg)
| Write string to log output. More...

## Detailed Description

Log output.

The LogOutput class models a log output destination

## Constructor & Destructor Documentation

## LogOutput() [1/2]

libcamera::LogOutput::LogOutput | ( | const char * | path | ) |

Construct a log output based on a file.

Parameters

  [in] | path | Full path to log file

## LogOutput() [2/2]

libcamera::LogOutput::LogOutput | ( | std::ostream * | stream | ) |

Construct a log output based on a stream.

Parameters

  [in] | stream | Stream to send log output to

## Member Function Documentation

## isValid()

bool libcamera::LogOutput::isValid | ( |  | ) | const

Check if the log output is valid.

Returns
  True if the log output is valid

## write() [1/2]

void libcamera::LogOutput::write | ( | const LogMessage & | msg | ) |

Write message to log output.

Parameters

  [in] | msg | Message to write

## write() [2/2]

void libcamera::LogOutput::write | ( | const std::string & | str | ) |

Write string to log output.

Parameters

  [in] | str | String to write

The documentation for this class was generated from the following file:

- src/libcamera/log.cpp